Bug 1256346 - heat stack-list and nova list return empty tables if deployment was done via UI
heat stack-list and nova list return empty tables if deployment was done via UI
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
unspecified
Unspecified Linux
high Severity urgent
: y1
: 7.0 (Kilo)
Assigned To: Ana Krivokapic
yeylon@redhat.com
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-24 07:56 EDT by Ola Pavlenko
Modified: 2016-04-18 02:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-26 12:21:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ola Pavlenko 2015-08-24 07:56:14 EDT
Description of problem:
heat stack-list and nova list return empty tables if deployment was done via UI

Version-Release number of selected component (if applicable):
openstack-tuskar-ui-0.3.0-15.el7ost.noarch

How reproducible:
100%

Steps to Reproduce:
1.Use undercloud UI to deploy openstack with 3 controllers and 1 compute and 1 ceph
2.in command line of the undercloud  source stackrc file
3.run:
$ heat stack-list
$ nova list

Actual results:
[stack@instack ~]$ . stackrc 
[stack@instack ~]$ heat stack-list
+----+------------+--------------+---------------+
| id | stack_name | stack_status | creation_time |
+----+------------+--------------+---------------+
+----+------------+--------------+---------------+
[stack@instack ~]$ nova list
+----+------+--------+------------+-------------+----------+
| ID | Name | Status | Task State | Power State | Networks |
+----+------+--------+------------+-------------+----------+
+----+------+--------+------------+-------------+----------+


Expected results:
heat stack-list retruns stack ID and its details
nova list returns list of active nodes

Additional info:
$ nova list --all-tenants
+--------------------------------------+-------------------------+----------------------------------+--------+------------+-------------+---------------------+
| ID                                   | Name                    | Tenant ID                        | Status | Task State | Power State | Networks            |
+--------------------------------------+-------------------------+----------------------------------+--------+------------+-------------+---------------------+
| a195ccbd-fced-4c18-949f-81af2af7d4e3 | overcloud-cephstorage-0 | 1a05e9ccca154e56bb9a2c594126ba1b | ACTIVE | -          | Running     | ctlplane=192.0.2.22 |
| ea85da68-ce8d-4512-9fc3-d0d50dd9dbcf | overcloud-compute-0     | 1a05e9ccca154e56bb9a2c594126ba1b | ACTIVE | -          | Running     | ctlplane=192.0.2.6  |
| cf7e24c9-5383-43b7-85f5-3d8629bc7525 | overcloud-controller-0  | 1a05e9ccca154e56bb9a2c594126ba1b | ACTIVE | -          | Running     | ctlplane=192.0.2.24 |
| ebdfb610-c162-4f09-b3ae-58034f728966 | overcloud-controller-1  | 1a05e9ccca154e56bb9a2c594126ba1b | ACTIVE | -          | Running     | ctlplane=192.0.2.9  |
| 0518169a-da42-48cc-a00d-6149f8552380 | overcloud-controller-2  | 1a05e9ccca154e56bb9a2c594126ba1b | ACTIVE | -          | Running     | ctlplane=192.0.2.7  |
+--------------------------------------+-------------------------+----------------------------------+--------+------------+-------------+---------------------+


Original bug:
https://bugzilla.redhat.com/show_bug.cgi?id=1248347
Comment 3 chris alfonso 2015-08-26 12:21:29 EDT
Need to change the tenant in which you are working.

Note You need to log in before you can comment on or make changes to this bug.